Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class ComplexCommandSupport

Support for more complex commands.

version:
  $Id: ComplexCommandSupport.groovy 8806 2007-10-25 21:58:29Z user57 $

author:
  Jason Dillon

Field Summary
`String` | `defaultFunction`
`def` | `do_all`
`List` | `functions`

Constructor Summary
`ComplexCommandSupport(Shell shell, String name, String shortcut)`

Method Summary
`List` | `createCompletors()`
`Object` | `execute(List args)`
`def` | `executeFunction(List args)`
`Closure` | `loadFunction(String name)`

Constructor Detail

### ComplexCommandSupport

    public ComplexCommandSupport(Shell shell, String name, String shortcut)

Method Detail

### createCompletors

    List createCompletors()

### execute

    Object execute(List args)

### executeFunction

    def executeFunction(List args)

### loadFunction

    Closure loadFunction(String name)